# DALocalToLocalBegin

Maps from a local vector (including ghost points that contain irrelevant values) to another local vector where the ghost points in the second are set correctly. Must be followed by DALocalToLocalEnd().

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DALocalToLocalBegin(DA da,Vec g,InsertMode mode,Vec l)

Collective on DA and Vec

### Input Parameters

| da | - the distributed array context
| g | - the original local vector
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the local vector with correct ghost values

### Notes

The local vectors used here need not be the same as those obtained from DACreateLocalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DA originating vectors.

### Keywords

distributed array, local-to-local, begin

### See Also

DALocalToLocalEnd(), DALocalToGlobal()

Level:intermediate
Location: src/dm/da/src/daltol.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages